Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends

### - s -

- scan_codes() : faiss::BinaryInvertedListScanner , faiss::InvertedListScanner
- scan_codes_range() : faiss::InvertedListScanner
- search() : faiss::gpu::GpuIndex , faiss::IndexBinary , faiss::IndexFlat1D , faiss::IndexHNSW , faiss::IndexBinaryFlat , faiss::IndexHNSW2Level , faiss::IndexIVF , faiss::gpu::GpuIndexBinaryFlat , faiss::IndexBinaryFromFloat , faiss::Index2Layer , faiss::IndexLSH , faiss::IndexBinaryHNSW , faiss::IndexPQ , faiss::MultiIndexQuantizer , faiss::HNSW , faiss::IndexBinaryIVF , faiss::MultiIndexQuantizer2 , faiss::IndexReplicasTemplate< IndexT > , faiss::IndexFlat , faiss::IndexScalarQuantizer , faiss::IndexIDMap , faiss::Index , faiss::IndexFlatL2BaseShift , faiss::IndexSplitVectors , faiss::ProductQuantizer , faiss::IndexRefineFlat , faiss::IndexPreTransform
- search_and_reconstruct() : faiss::IndexBinary , faiss::IndexBinaryIVF , faiss::IndexIVF , faiss::IndexPreTransform , faiss::Index
- search_from_candidates() : faiss::HNSW
- search_ip() : faiss::ProductQuantizer
- search_level_0() : faiss::IndexHNSW
- search_preassigned() : faiss::IndexBinaryIVF , faiss::IndexIVF , faiss::IndexIVFFlatDedup , faiss::IndexIVFPQR
- searchFromCpuPaged_() : faiss::gpu::GpuIndexBinaryFlat
- searchImpl_() : faiss::gpu::GpuIndex , faiss::gpu::GpuIndexFlat , faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ
- set() : faiss::VisitedTable
- set_default_probas() : faiss::HNSW
- set_derived_values() : faiss::ProductQuantizer
- set_groundtruth() : faiss::AutoTuneCriterion
- set_index_parameter() : faiss::ParameterSpace , faiss::gpu::GpuParameterSpace
- set_index_parameters() : faiss::ParameterSpace
- set_is_orthonormal() : faiss::LinearTransform
- set_lims() : faiss::RangeSearchPartialResult
- set_list() : faiss::InvertedListScanner , faiss::BinaryInvertedListScanner
- set_nb_neighbors() : faiss::HNSW
- set_params() : faiss::ProductQuantizer
- set_query() : faiss::InvertedListScanner , faiss::DistanceComputer , faiss::BinaryInvertedListScanner
- setCudaMallocWarning() : faiss::gpu::StandardGpuResources , faiss::gpu::StackDeviceMemory
- setDefaultNullStreamAllDevices() : faiss::gpu::StandardGpuResources
- setDefaultStream() : faiss::gpu::StandardGpuResources
- setMinPagingSize() : faiss::gpu::GpuIndex
- setNumProbes() : faiss::gpu::GpuIndexIVF
- setPinnedMemory() : faiss::gpu::StandardGpuResources
- setPrecomputedCodes() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFPQ
- setTempMemory() : faiss::gpu::StandardGpuResources
- shrink_neighbor_list() : faiss::HNSW
- SimulatedAnnealingOptimizer() : faiss::SimulatedAnnealingOptimizer
- sizes() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- SlidingIndexWindow() : faiss::ivflib::SlidingIndexWindow
- Stack() : faiss::gpu::StackDeviceMemory::Stack
- StackDeviceMemory() : faiss::gpu::StackDeviceMemory
- step() : faiss::ivflib::SlidingIndexWindow
- stop() : faiss::WorkerThread
- streamWaitOnEvent() : faiss::gpu::CudaEvent
- strides() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- symmetric_dis() : faiss::DistanceComputer
- syncDefaultStream() : faiss::gpu::GpuResources
- syncDefaultStreamCurrentDevice() : faiss::gpu::GpuResources